# $Revision: 1.52 $, $Date: 2005/01/16 17:30:44 $
Summary:	Cross Mingw32 GNU binary utility development utilities - binutils
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - Mingw32 binutils
Summary(fr):	Utilitaires de dveloppement binaire de GNU - Mingw32 binutils
Summary(pl):	Skrone narzdzia programistyczne GNU dla Mingw32 - binutils
Summary(pt_BR):	Utilitrios para desenvolvimento de binrios da GNU - Mingw32 binutils
Summary(tr):	GNU gelitirme aralar - Mingw32 binutils
Name:		crossmingw32-binutils
Version:	2.15.94.0.2
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	a87269da4db684da403014b43ec0b89e
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
# not necessary unless we patch .texi docs; but they are not packaged here anyway
#BuildRequires:	texinfo >= 4.2
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		arch		%{_prefix}/%{target}

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains cross targeted binutils.

%description -l pl
crossmingw32 jest kompletnym systemem do kroskompilacji, pozwalajcym
budowa aplikacje MS Windows pod Linuksem uywajc bibliotek mingw32.
System skada si z binutils, gcc z g++ i objc, libstdc++ - wszystkie
generujce kod dla platformy i386-mingw32, oraz z bibliotek w formacie
COFF.

Ten pakiet zawiera binutils generujce skronie binaria dla Win32.

%prep
%setup -q -n binutils-%{version}

%build
cp /usr/share/automake/config.sub .

# Because of a bug in binutils-2.9.1, a cross libbfd.so* is not named
# lib<target>bfd.so*. To prevent confusion with native binutils, we
# forget about shared libraries right now, and do not install libbfd.a
# [the same applies to binutils 2.10.1.0.4]

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
%ifarch sparc
sparc32 \
%endif
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--host=%{_target_platform} \
	--build=%{_target_platform} \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL='$$s/install-sh -c' \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# remove this man page unless we cross-build for netware platform.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/*nlmconv.1

# libiberty.a is ELF not PE
rm -f $RPM_BUILD_ROOT%{arch}/lib/libiberty.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{arch}
%dir %{arch}/lib
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%{arch}/lib/ldscripts
%attr(755,root,root) %{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-binutils.spec,v $
Revision 1.52  2005/01/16 17:30:44  qboosh
- updated to 2.15.94.0.2

Revision 1.51  2004/11/24 17:45:06  qboosh
- updated to 2.15.94.0.1

Revision 1.50  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.49  2004/10/12 19:17:02  qboosh
- updated to 2.15.92.0.2, removed obsolete dll patch (applied)

Revision 1.48  2004/07/31 19:00:50  qboosh
- added dll patch (fix new bug which caused cross dllwrap to call native gcc)
- release 2

Revision 1.47  2004/07/28 19:54:22  qboosh
- updated to 2.15.91.0.2

Revision 1.46  2004/06/14 18:46:14  ankry
- added missing dir

Revision 1.45  2004/06/13 14:08:04  ankry
- now should build

Revision 1.44  2004/06/13 06:57:44  ankry
- fixed BRs, hopefully fixed build on sparc & amd64, unification

Revision 1.43  2004/06/11 22:38:52  ankry
BR: gettext-devel

Revision 1.42  2004/05/30 11:34:17  qboosh
- updated to 2.15.91.0.1

Revision 1.41  2004/04/17 19:05:09  qboosh
- updated to 2.15.90.0.3, removed obsolete pe-types patch

Revision 1.40  2004/03/07 16:29:49  qboosh
- updated to 2.15.90.0.1.1

Revision 1.39  2004/03/05 23:47:44  qboosh
- updated to 2.15.90.0.1

Revision 1.38  2004/02/18 22:15:08  qboosh
- added pe-types patch (fixes ld SEGV on mingw-runtime @alpha); release 2

Revision 1.37  2004/01/15 18:51:11  qboosh
- updated to 2.14.90.0.8

Revision 1.36  2004/01/02 15:56:44  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.35  2003/12/27 17:14:38  jajcus
- copy config.sub from automake

Revision 1.34  2003/11/04 00:22:29  qboosh
- 2.14.90.0.7

Revision 1.33  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.32  2003/08/27 19:38:58  qboosh
- 2.14.90.0.6 (better windres)

Revision 1.31  2003/08/06 16:52:13  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.30  2003/07/27 20:30:01  adamg
- updated to 2.14.90.0.5

Revision 1.29  2003/07/04 15:53:57  wiget
- no more exclusiearch

Revision 1.28  2003/07/04 15:08:21  wiget
- release 2
- this is base package for cross-mingw32 evn
- pass correct values to --build and --host
- removed unneeded EXEEXT workaround
- removed libiberty.a (this is ELF not PE library)

Revision 1.27  2003/06/26 16:25:29  qboosh
- 2.14.90.0.4.1

Revision 1.26  2003/06/01 10:52:07  qboosh
- 2.14.90.0.4

Revision 1.25  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.24  2003/05/25 05:46:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/19 21:28:09  qboosh
- 2.14.90.0.2

Revision 1.22  2003/05/10 14:41:26  wiget
- up to 2.14.90.1

Revision 1.21  2003/04/05 18:22:27  qboosh
- R: crossmingw32-runtime not -platform
- release 2

Revision 1.20  2003/03/25 01:47:59  qboosh
- updated to 2.13.90.0.20
- added workaround for $(SHELL) in $(INSTALL)

Revision 1.19  2002/07/26 19:49:51  qboosh
- 2.12.90.0.15
- removed info patch - infos are not included in binary package

Revision 1.18  2002/04/25 16:07:32  arturs
fixed a small typo

Revision 1.17  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/29 23:30:40  qboosh
- 2.11.92.0.10

Revision 1.14  2001/10/29 21:40:59  ankry
- BuildRequires: perl-devel for man pages
- remove win*/netware tool man pages
- more translations
- release 2

Revision 1.13  2001/06/29 16:04:23  qboosh
- 2.11.90.0.19

Revision 1.12  2001/06/20 22:13:47  qboosh
- 2.11.90.0.15

Revision 1.11  2001/06/14 16:09:45  qboosh
- pl summaries & descriptions

Revision 1.10  2001/05/16 22:22:12  qboosh
- 2.11.90.0.8

Revision 1.9  2001/05/10 16:32:40  qboosh
- 2.11.90.0.7

Revision 1.8  2001/04/26 16:41:39  qboosh
- 2.11.90.0.5
- updated Source URL
- use %%rpm{c,ld}flags macros

Revision 1.7  2001/03/08 22:53:04  qboosh
- 2.10.91.0.4

Revision 1.6  2001/02/13 02:23:22  qboosh
- 2.10.1.0.7

Revision 1.5  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2001/01/19 17:21:19  qboosh
- update to 2.10.1.0.4
- exclude %%{arch}/lib directory from this package (it belongs to
  crossmingw32-platform)
- spec simplified

Revision 1.3  2000/12/15 00:02:11  kloczek
- only adapterized.

Revision 1.2  2000/12/14 23:58:25  qboosh
- update to 2.10.0.33
- use binutils version as package version
- removed renaming *.exe to * - binutils 2.10.0.33 doesn't use .exe extension

Revision 1.1  2000/12/11 08:36:40  qboosh
- almost rewritten, split into 3 packages
- BuildRoot, updates, patches and other stuff...

* Mon Jan 11 1999 David Sugar <dyfet@tycho.com>
- Modified heavily and then added all other useful stuff to cross build
  a complete mingw32 development system in a single RPM.  The original
  RPMS's would not build from source unless /usr/i386-ming32 already
  had cross-compiled lib stuff, so this one directly builds into
  /usr/i386-mingw32 rather than a buildroot so that it can be cleanly
  built on a system that was NEVER used for cross compiling before.  If
  somebody wants to untwist this web and make it buildroot friendly...

* Thu May 7 1998 Jan-Jaap van der Heijden <J.J.vanderHeijden@student.utwente.nl>
- Initial release (2.9.1)
